*,
*::after,
*::before {
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    height: 100%;
    width: 100%;
    margin: 0;
    font-size: 16px;
    font-family: sans-serif;
    line-height: 26px;
}

a {
    text-decoration: none;
}

img,
picture,
iframe,
canvas,
svg {
    max-width: 100%;
}

.header {
    width: 100%;

    margin: 0;
    background-color: #313131;

    display: flex;
    justify-content: space-between;
    align-content: center;
    align-items: center;
}

.header-logo {
    margin-left: 29px;
    padding: 0;
    font-size: 22px;
    font-weight: bold;
}

.header-logo-link {
    color: #ffffff;
    padding: 0; 
}

.header-logo-image {
    margin-right: 27px;
}

.header-menu {
    padding: 0;
}

.menu-list {
    list-style: none;
    padding: 0;

    display: flex;
    align-items: center;
    justify-content: space-around;
}

.menu-list-item {
    font-size: 15px;
    margin-right: 35px;
    padding: 0;
}

.menu-item-link {
    color: #ffffff;
    text-transform: uppercase;
    font-size: 15px;
}

.menu-item-link:hover {
    color: #14B9D5;
}

.search-header {
    width: 68px;
    height: 70px;

    background-image: url(../images/search-bg.jpg);
    
    display: flex;
    align-items: center;
    justify-content: center;
}

.main {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}

.first-block {
    width: 100%;
    height: 370px;
    margin-top: 0;
    background-image: url(../images/header-background.png);
}

.first-block-title {
    color: #ffffff;
    text-transform: uppercase;
    text-align: center;
    font-size: 27px;
    font-weight: bold;

    margin: 0;
    padding-top: 164px;
}

.buttons-list {
    display: flex;
    justify-content: center;
    
}

.buttons-list-item {
    list-style: none;
    font-size: 18px;

    padding: 0;
    border-radius: 5px;

}

.buttons-item-link {
    color: #ffffff;
}

.buttons-list-item-first {
    padding: 17px 20px;
    margin-right: 10px;
    background-color: #89CA62;
}
.buttons-list-item-second {
    padding: 17px 30px;
    margin-left: 10px;
    background-color: #14B9D5;
}


.second-block {
    width: 100%;
    background-color: #F2F2F2;
}

.second-block-title {
    text-transform: uppercase;
    text-align: center;
    color: #18B4CF;
    font-size: 27px;
    font-weight: 700;


    margin-top: 0;
    margin-bottom: 0;
    padding: 50px 0 52px 0;
}

.second-block-container {
    width: 1200px;
    height: 880px;
    margin-left: auto;
    margin-right: auto;

    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
    flex-wrap: wrap;
}

.second-block-post {
    background-color: #ffffff;

    margin:0 30px 30px 0;
}

.second-block-text {
    font-size: 18px;
    font-weight: 700;
    text-align: center;
}

.second-block-link {
    color: #000000;
}



.third-block {
    width: 100%;
    height: 588px;
    background-image: url(../images/block-3_bg-img.jpg);
}

.third-block-title {
    color: #ffffff;
    text-transform: uppercase;
    font-size: 32px;
    font-weight: 700;
    text-align: center;
    margin-top: 0;
    padding-top: 108px;
}

.third-block-title::after {
    content: "";
    position: absolute;
    width: 60px;

    border-top: 3px solid #18B4CF;
    display: block;
    margin: 87px auto 106px auto;
}

.third-block-container {
    width: 880px;
    
    margin: 200px auto;

    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 220px 1fr;
    grid-template-rows: 52px;
    align-items: center;
}

.third-block-item {
    margin: 0 25px;
}



.block-fourth {
    width: 100%;
    background-color: #E5E5E5;
}

.block-fourth-title {
    font-size: 27px;
    font-weight: 700;
    color: #18B4CF;
    text-align: center;
    text-transform: uppercase;
    margin-top: 0;
    padding-top: 50px;
}

.block-fourth-image {
    margin: 0;
    padding: 0;
    object-fit: cover;
}

.block-fourth-container {
    width: 100%;

    display: grid;
    grid-auto-flow: column;
}

.block-fifth {
    width: 100%;
}

.block-fifth-title {
    margin-top: 0;
    padding: 50px;
    font-size: 27px;
    font-weight: 700;
    color: #18B4CF;
    text-transform: uppercase;
    text-align: center;
}

.block-fifth-container {
    width: 1200px;
    margin-left: auto;
    margin-right: auto;

    font-size: 14px;
    line-height: 21px;

    display: grid;
    grid-template-rows: 259px 418px 416px 259px;
    grid-template-columns: 255px 255px 255px 255px;
    grid-template-areas: 
    "item1 item1 item1 item2"
    "item3 item3 item4 item4"
    "item5 item5 item6 item6"
    "item7 item8 item8 item8";
    row-gap: 60px;
    column-gap: 43px;

}

.block-fifth-container-item {
    background-color: #F9F7F7;
}

.block-fifth-container-item-first {
    grid-area: item1;

    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: start;
    align-items: flex-start;
    align-content: center;

    padding: 0;

}

.block-fifth-container-item-first-text {
    margin: 41px 24px 41px 0;
    text-align: end;

} 

.block-fifth-container-item-first-title,
.block-fifth-container-item-second-title,
.block-fifth-container-item-third-title,
.block-fifth-container-item-fourth-title,
.block-fifth-container-item-fifth-title,
.block-fifth-container-item-sixth-title,
.block-fifth-container-item-seventh-title,
.block-fifth-container-item-eighth-title {
    font-size: 18px;
    font-weight: 700;
    line-height: 25px;
}


.block-fifth-container-item-first-title {
    margin: 0;
}
.block-fifth-container-item-first-paragraph {
    margin-top: 14px;
    padding-left: 3px;
}

.block-fifth-container-item-second {
    grid-area: item2;
}

.block-fifth-container-item-second-img {
    margin-bottom: 0;
}


.block-fifth-container-item-second-title {
    text-align: center;

    margin-top: 4px;
}

.block-fifth-container-item-third {
    grid-area: item3;
}

.block-fifth-container-item-third-title {
    text-align: end;

    margin: 12px 14px 15px auto;
}

.block-fifth-container-item-third-paragraph {
    text-align: end;

    margin-right: 13px;
}

.block-fifth-container-item-fourth {
    grid-area: item4;
}

.block-fifth-container-item-fourth-title {
    text-align: end;

    margin: 14px 27px 15px auto;
}

.block-fifth-container-item-fourth-paragraph {
    text-align: end;

    margin-right: 14px;
}

.block-fifth-container-item-fifth {
    grid-area: item5;
}

.block-fifth-container-item-fifth-title {
    text-align: end;

    margin: 14px 27px 15px auto;
}

.block-fifth-container-item-fifth-paragraph {
    text-align: end;

    margin-right: 14px;
}

.block-fifth-container-item-sixth {
    grid-area: item6;
}

.block-fifth-container-item-sixth-title {
    text-align: end;

    margin: 14px 27px 15px auto;
}

.block-fifth-container-item-sixth-paragraph {
    text-align: end;

    margin-right: 14px;
}

.block-fifth-container-item-seventh {
    grid-area: item7;
}

.block-fifth-container-item-seventh-title {
    text-align: center;

    margin-top: 5px;

}

.block-fifth-container-item-eighth {
    grid-area: item8;

    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: start;
    align-items: flex-start;
    align-content: center;
}

.block-fifth-container-item-eighth-text {
    text-align: end;

    margin-right: 25px;
}

.block-fifth-container-item-eighth-title {
    margin-top: 41px;
}

.footer {
    width: 100%;
    background-color: #000000;
    margin-top: 71px;
}

.footer::before {
    content: "";
    position: absolute;
    width: 100%;
    border-bottom: 2px solid #18B4CF;
    display: block;
    margin: 0 0 6px 0;
}

.footer-container {
    width: 1200px;
    margin-left: auto;
    margin-right: auto;

    display: flex;
    justify-content: space-between;
    align-items: center;
}

.footer-container-text {
    color: #ffffff;
    font-size: 14px;
    font-weight: 400;
    
}
